Bug 1829863 - update Dockerfile.rhel with CI golang1.13 image that matches the image used by brew/osbs/art
Summary: update Dockerfile.rhel with CI golang1.13 image that matches the image used b...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-controller-manager
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.5.0
Assignee: Gabe Montero
QA Contact: wewang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-30 13:45 UTC by Gabe Montero
Modified: 2020-07-13 17:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1829874 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:33:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift openshift-controller-manager pull 98 0 None closed Bug 1829863: update Dockerfile.rhel builder image to line up with art/brew/osbs 2020-06-24 01:31:00 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:33:59 UTC

Description Gabe Montero 2020-04-30 13:45:33 UTC
Discovered yesterday that recent OCM fixes were not in the 4.5 nightlies

With help from Joep van Delft from ART determined that OCM had not successfully built in brew since Apr 14

Then, with Justin Pierce and Luke Meyer determined a series of issues occured:

1) the tag that allowed CI to use the golang 1.13 image used by brew/osbs/art was broken.  Justin got that fixed.

2) the Luke remembered that there was a hiccup during the construction of the ART golang 1.13 image where the gpgme-devel and libassuan-devel rpms were not included. Those are needed for the image signature code in OCM.  Between Luke and Justin that got fixed.

3) Per Justin's recommendation, this bug will update the OCM Dockerfile.rhel file so that it will use the golang image used in brew/osbs/art so that we can verify builds will work in both CI and brew

Essentially there is a fedora flavor of the golang image and a rhel7 flavor of the golang image.

Comment 3 Gabe Montero 2020-05-02 13:16:48 UTC
PR e2e was sufficient for this one

Comment 4 Gabe Montero 2020-05-13 13:03:05 UTC
This is a in release CI only change that has no documentation reqs for consuming users.

No Doc set.

Comment 5 errata-xmlrpc 2020-07-13 17:33:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.